Bug 610 - xxkb shows 2 extra flags in KDE
: xxkb shows 2 extra flags in KDE
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xxkb)
: unstable
: all Linux
: P4 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-02-14 18:37 by
Modified: 2012-07-18 12:29 (History)


Attachments
kicker-clock-xprop.txt (30.46 KB, text/plain)
2009-01-11 15:05, Sergey V Turchin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-02-14 18:37:59
xxkb рисует два лишних флажка в КДЕ, один для панели 
(только когда она в горизонтальном положении), а второй, 
видимо, для корневого окна (переключается когда свернуты все окна)
---

---
rpm -q xxkb kdebase kdelibs
xxkb-1.6-alt2
kdebase-2.2.2-alt12
kdelibs-2.2.2-alt11
------- Comment #1 From 2004-05-24 14:52:19 -------
на мантейнера 
 
------- Comment #2 From 2006-09-27 21:12:05 -------
Это на левых окнах.  Сейчас по крайней мере для панели актуально, только imho
скорее недоработка какого-то из аплетов.
------- Comment #3 From 2007-06-10 09:07:25 -------
воркэраунд:

~/.xxkbrc: 
XXkb.app_list.wm_class_class.ignore: Kdesktop Kicker

проверено с xxkb 1.11
------- Comment #4 From 2007-06-13 17:26:23 -------
Я уж думал, что зафиксили давно
------- Comment #5 From 2009-01-01 18:14:25 -------
Hope it is fixed in xxkb-1.11-alt1, reopen if not.
------- Comment #6 From 2009-01-11 15:04:29 -------
На часах есть флажок с xxkb-1.11-alt1
------- Comment #7 From 2009-01-11 15:05:27 -------
Created an attachment (id=3204) [details]
kicker-clock-xprop.txt
------- Comment #8 From 2012-07-18 12:05:07 -------
Прошу проверить/пропустить http://git.altlinux.org/tasks/75584/ с добавлением
предложенной в comment 3 строчки в /etc/X11/app-defaults/XXkb.

На самом деле есть ещё мелкая хотелка по части XXkb.button.geometry:
заменить 15x15-80+10 на 15x15-86+6 (TDE) или 15x15-78+3 (IceWM, WindowMaker,
Openbox и RazorQt) -- думаю, лучше второй вариант, т.к. в TDE есть более-менее
толковая переключалка-отображалка.

Также в игнорируемые напрашиваются: Razor-desktop Razor-panel
------- Comment #9 From 2012-07-18 12:29:56 -------
xxkb-1.11-alt4 -> sisyphus:

* Wed Jul 18 2012 Michael Shigorin <mike@altlinux> 1.11-alt4
- Ignore KDE desktop/panel (closes: #610).